/* This example part of kwd-dashboard see https://kamona-wd.github.io/kwd-dashboard/ */
/* So here we will write some classes to simulate dark mode and some of tailwind css config in our project */
pre {
  font-family: Yekanbakh;
}
:root {
  --light: #edf2f9;
  --dark: #1c1917;
  --darker: #050A10;
}

.dark .dark\:border-dark {
  border-color: #1c1917 !important;
}

.dark .dark\:text-dark  {
  color: #050A10 !important;
}

.dark aside a.text-light:hover {
  color: #050A10 !important;
}

.hover\:text-dark:hover {
 color: var(--dark) !important;
}

.dark .dark\:hover\:text-dark:hover {
  color: #050A10 !important;
}

.dark .dark\:text-light {
  color: var(--light) ;
} 
.bg-dark {
  background-color: var(--dark) !important;
}
.bg-darker {
  background-color: var(--darker) !important;
}

.dark .dark\:bg-dark {
  background-color: var(--dark) !important;
}

.dark .dark\:bg-darker {
  background-color: var(--darker) !important;
}

.dark .dark-hover\:bg-darker:hover {
  background-color: var(--dark) !important;
}

.dark .dark\:text-gray-300 {
  color: #d1d5db !important;
}

.dark .dark\:text-indigo-500 {
  color: #eab308 !important;
}

.dark .dark\:text-indigo-100 {
  color: #e0e7ff !important;
}

.dark .dark\:hover\:text-light:hover {
  color: var(--light) !important;
}

.dark .dark\:border-indigo-800 {
  border-color: #1c1917 !important;
}

.border-gray-100 {
  border-color: #eaeaea !important;
}

.dark .dark\:border-indigo-700 {
  border-color: #ffcc00 !important;
}

.dark .dark\:bg-indigo-600 {
  background-color: #eab308 !important;
}

.hover\:bg-light-f2:hover {
  background-color: #f2f3f7 !important;
  transition: all ease-out 0.3s;
}

.dark .dark\:hover\:bg-indigo-600:hover {
  background-color: #ffcc00 !important;
}

.hover\:bg-indigo-600:hover {
  background-color: #ffcc00 !important;
}

.dark .dark\:border-indigo-500 {
  border-color: #eab308 !important;
}

.hover\:overflow-y-auto:hover {
  overflow-y: auto !important;
}

#tweet {
  direction: ltr;
  font-family: YekanBakh;
}

.searchInputWrapper {
  position: relative;
}

.searchInput {
  width: 98%;
  height: 2rem;
  padding: 0 1rem;
  border-radius: 2rem;
  border: none;
  transition: transform 0.1s ease-in-out;
}

/* hide the placeholder text on focus */
:focus::placeholder {
  text-indent: -999px;
}

.searchInput:focus {
  outline: none;
  width: 105%;
  transition: all 0.1s ease-in-out;
}

.searchInputIcon {
  position: absolute;
  left: 1rem;
  top: 0.25rem;
  transition: all 0.1s ease-in-out;
}

.container:focus-within > .searchInputWrapper > .searchInputIcon {
  right: 0.2rem;
}

.hashtags,
.tweets {
  direction: rtl;
}

.right-55 {
  right: 1.25rem;
}

.left-55 {
  left: 0.7rem;
}


.table-hover.dark\:text-light tr:hover td a {
  color: var(--info) !important;
}

.tweets::-webkit-scrollbar {
  display: none;
}

#searchbar {
  display: block;
  padding: 15px 0px;
}

input,
textarea {
  color: #111 !important;
}

.bootstrap-tagsinput {
  background-color: transparent;
  border: transparent;
  text-align: right;
  padding: auto 5px;
}

.bootstrap-tagsinput input::placeholder {
  color: rgba(17, 24, 39, 0.5) !important;
}

.dark .dark\:text-light .bootstrap-tagsinput input::placeholder {
  color: rgba(209, 211, 216, 0.5) !important;
}

.bootstrap-tagsinput input {
  color: #111 !important;
}

.dark .dark\:text-light .bootstrap-tagsinput input {
  color: #fff !important;
}


.bootstrap-tagsinput .tag [data-role="remove"]:after {
  content: "\00d7";
  float: left;
  font-weight: 600;
  color: var(--danger);
  margin-left: 0;
}

.bootstrap-tagsinput .tag {
  background-color: var(--light);
  color: rgb(145, 145, 145);
  font-weight: 600;
  font-size: 15px;
}

.dark .dark\:text-light .bootstrap-tagsinput .tag {
  background-color: var(--dark);
  color: rgb(204, 203, 203);
  font-weight: 600;
}

.tox.tox-tinymce,
.tox-toolbar-overlord,
.tox-edit-area__iframe {
  border: transparent;
  background-color: transparent !important;
}

.tox-tinymce:not(.tox-tinymce-inline)
  .tox-editor-header:not(:first-child)
  .tox-toolbar-overlord:first-child
  .tox-toolbar__primary,
.tox-tinymce:not(.tox-tinymce-inline)
  .tox-editor-header:not(:first-child)
  .tox-toolbar:first-child {
  border: transparent !important;
  border-bottom: 1px solid #acaaaa25 !important;
}

.dark
  .tox-tinymce:not(.tox-tinymce-inline)
  .tox-editor-header:not(:first-child)
  .tox-toolbar-overlord:first-child
  .tox-toolbar__primary,
.tox-tinymce:not(.tox-tinymce-inline)
  .tox-editor-header:not(:first-child)
  .tox-toolbar:first-child {
  border: transparent !important;
  border-bottom: 1px solid #acaaaa25 !important;
}

.tox .tox-toolbar,
.tox .tox-toolbar__overflow,
.tox .tox-toolbar__primary {
  background-color: transparent !important;
}

.tox.tox-tinymce.tox-tinymce--toolbar-bottom {
  margin-bottom: 10px;
}

.tox-tbtn svg {
  fill: #ffcc00 !important;
}

.back-to-top {
  z-index: 15000;
}
.tweets-boxes,
.boxsend {
  background-color: #fff;
}


.dark .tox-tinymce:not(.tox-tinymce-inline) .tox-editor-header:not(:first-child) .tox-toolbar-overlord:first-child .tox-toolbar__primary, .tox-tinymce:not(.tox-tinymce-inline) .tox-editor-header:not(:first-child) .tox-toolbar:first-child {
  border: transparent !important;
  border-bottom: transparent !important;
}

.userid {
  direction: ltr !important;
}

@media (min-width: 768px){
  .d-md-inlineblock {
      display: inline-block!important;
  }

}

.comment .comment-body p a{
  color:#ffcc00;
  text-decoration: underline;
  font-size: small;
}

.badge-notification {
	min-width: 18px !important;
	text-align: center;
}

.dark .modal .modal-content {
	background-color: var(--darker) !important;
}

.nav.nav-tabs {
	border-color: #e5e7eb !important;
}


.nav.nav-tabs .nav-item .nav-link {
	background-color: transparent !important;
    color: var(--darker) !important;
	transition: 0.1s all ease-out;
}

.nav.nav-tabs .nav-item:first-child .nav-link.active {
	background-color: var(--light) !important;
    color: var(--blue) !important;
	border: none;
	border-top-right-radius: 12px !important;

}

.nav.nav-tabs .nav-item .nav-link.active {
	background-color: var(--light) !important;
    color: var(--blue) !important;
	border: none;
	border-radius: 0 !important;

}

.nav.nav-tabs .nav-item:last-child .nav-link.active {
	background-color: var(--light) !important;
    color: var(--blue) !important;
	border: none;
	border-top-left-radius: 12px !important;
}


.nav.nav-tabs .nav-item .nav-link:hover {
	color: var(--blue) !important;
}

.tab-pane.active {
	background: var(--light) !important;
	border-top-left-radius:12px !important;
	border-bottom-left-radius:12px;
	border-bottom-right-radius:12px
}

.notification-box::-webkit-scrollbar {
    width: 4px;
	background-color: #f2f3f7; 
}

.notification-box::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
    border-radius: 10px;

}

.notification-box::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5); 
	background-color: #e5e7eb;
}


@media (max-width: 1024px){

.notification-box {
overflow-y: scroll !important;
}

}

.ri-send-plane-2-line {

}


